package ru.yandex.direct.api.v5.ws;

import ru.yandex.direct.api.v5.ApiErrorCodes;
import ru.yandex.direct.api.v5.ApiFaultTranslations;
import ru.yandex.direct.core.TranslatableException;

public class NoEndpointFoundApiException extends TranslatableException {
    public NoEndpointFoundApiException(Throwable cause) {
        super(cause, ApiErrorCodes.NO_ENDPOINT_FOUND, ApiFaultTranslations.INSTANCE.operationNotFound(),
                ApiFaultTranslations.INSTANCE.detailedIncorrectOperation());
    }
}
